Форум поддержки пользователей. LibreOffice, Apache OpenOffice, OpenOffice.org

Форум поддержки пользователей. LibreOffice, Apache OpenOffice, OpenOffice.org

22 Январь 2017, 15:16 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Войти
Новости: Часто задаваемые вопросы по LibreOffice и Apache OpenOffice.org
 
   Начало   Помощь Поиск Войти Регистрация    задать вопрос  
Страниц: 1   Вниз
  Печать  
Автор Тема: Lubuntu-16.04_x32 и LibreOfficeDev_5.2.0.0.beta1_Linux_x86  (Прочитано 1411 раз)
0 Пользователей и 1 Гость смотрят эту тему.
ape
Ветеран
*****
Offline Offline

Сообщений: 2 391


« Стартовое сообщение: 5 Июнь 2016, 10:41 »

В Lubuntu-16.04_x32 так и не смог установить LibreOfficeDev_5.2.0.0.beta1_Linux_x86.
Причиной отказа установки указана неустранимая зависимость, возникающая при установке lodevbasis5.2-librelogo_5.2.0.0.beta1-1_x86.deb. В OPT-е только /program и /share.
Не знаю, на кого "косить" - ОС или ЛО. Кто-нибудь пробовал поставить 1-ю бету в других Линуксах?
--
p.s. Понимаю, что неактуально - на неделе выйдет 2-я бета. Но всё-таки вопрос "Чей косяк?" мне кажется важным (имхо, "лубунтовцы" накрутили).
« Последнее редактирование: 5 Июнь 2016, 10:44 от ape » Записан
ape
Ветеран
*****
Offline Offline

Сообщений: 2 391


« Ответ #1: 5 Июнь 2016, 11:24 »

Косяк, вероятнее всего, за ЛО: на Lubuntu-14.04_x64 LODev-5.2.0.0.b1 тоже не установился. В списке проблемных пакетов значится и lodevbasis5.2-xsltfilter_5.2.0.0.beta1-1_amd64.deb.
Записан
maksvlad
Новичок
*
Offline Offline

Сообщений: 40


« Ответ #2: 5 Июнь 2016, 14:54 »

На askubuntu тож есть топики о подобной проблеме. Из вывода следует,  что lodevbasis5.2 не установлен.  Сам бетами не играют. Но, в первую очередь, чего lodevbasis5.2 не хватает? Вывод вот dpkg хотелось видеть бы...
Записан
Yakov
Администратор
*
Offline Offline

Сообщений: 2 178


WWW
« Ответ #3: 5 Июнь 2016, 15:36 »

В SimplyLinux7  встала без проблем.
Записан

Yakov
Администратор
*
Offline Offline

Сообщений: 2 178


WWW
« Ответ #4: 5 Июнь 2016, 15:55 »

неустранимая зависимость, возникающая при установке lodevbasis5.2-librelogo_5.2.0.0.beta1-1_x86.deb.
А если этот пакет просто не ставить?
Записан

maksvlad
Новичок
*
Offline Offline

Сообщений: 40


« Ответ #5: 5 Июнь 2016, 16:52 »

Попробуй. Можно распаковать пакет и посмотреть,  что за файлы он содержит.  Там определиться с критичностью его наличия
« Последнее редактирование: 5 Июнь 2016, 16:56 от maksvlad » Записан
ape
Ветеран
*****
Offline Offline

Сообщений: 2 391


« Ответ #6: 5 Июнь 2016, 17:53 »

Спасибо за ответы.
Корячиться не буду, дождусь 2-й беты - Бунта для меня только подставка.
Радует, что с RPM всё в норме, куда, на Альт-р8, собираюсь перебраться в ближайшее время.
Если не создавать баг, то проблеме с DEB-пакетами можно сюда http://nabble.documentfoundation.org/ в QA, к Björn Michaelsen (по памяти).
Записан
Абортов.net
Linux + LibreOffice 5.1.6
Новичок
*
Offline Offline

Пол: Мужской
Расположение: Тирасполь, Приднестровье
Сообщений: 46


Поддержи инициативу по запрету абортов!


WWW
« Ответ #7: 5 Июнь 2016, 20:19 »

В Lubuntu-16.04_x32 так и не смог установить LibreOfficeDev_5.2.0.0.beta1_Linux_x86.
Аналогичная ситуация.
В Ubuntu-16.04 x64 не смог установить LibreOfficeDev_5.2.0.0.beta1_Linux__x86-64.
Записан

Выше справедливости милосердие! А выше милосердия Любовь!!!
greenman
Постоялец
***
Offline Offline

Сообщений: 218


« Ответ #8: 6 Июнь 2016, 10:17 »

Через flatpak можно попробовать...
Записан
Yakov
Администратор
*
Offline Offline

Сообщений: 2 178


WWW
« Ответ #9: 6 Июнь 2016, 10:24 »

Через flatpak
https://www.linux.org.ru/news/linux-general/12639669
Как я понял, при этом теряется часть функциональности...  в части взаимодействия с другими приложениями.
Записан

kompilainenn
Ветеран
*****
Offline Offline

Сообщений: 1 814



« Ответ #10: 6 Июнь 2016, 12:16 »

и добавляется кусок Гном 3
Записан

Поддержать разработчиков LibreOffice можно тут, а наш форум вот тут
maksvlad
Новичок
*
Offline Offline

Сообщений: 40


« Ответ #11: 6 Июнь 2016, 14:36 »

Ну коряво собран пакет, форсим установку и вперёд,  если кому сильно надо...
sudo dpkg --install --ignore-depends=your_ignored_package your_install_package.
« Последнее редактирование: 6 Июнь 2016, 14:38 от maksvlad » Записан
ape
Ветеран
*****
Offline Offline

Сообщений: 2 391


« Ответ #12: 9 Июнь 2016, 17:57 »

Устанавливал от root через терминал, предварительно распаковав нужные мне DEB-пакеты в отдельную папку (без словарей интеграции в КДЕ).
Для навигации по папкам использую mc.
Сработало вот это:
Цитата:
root@Xeon-1232:/media/ape/Files/Soft/PROGRAMS/FreeOffice/LibO/5.2.x/LibreOfficeDev_5.2.0.0.beta2_Linux_x86-64_deb.tar# dpkg -i --force-overwrite *.deb
Игнорирование дубликата:
Цитата:
Unpacking lodevbasis5.2-core (5.2.0.0.beta2-1) ...
dpkg: предупреждение: проблема игнорируется, поскольку задан параметр --force:
dpkg: предупреждение: попытка перезаписать «/opt/libreofficedev5.2/program/minidump_upload», который уже имеется в пакете libreofficedev5.2 5.2.0.0.beta2-1
Записан
Страниц: 1   Вверх
  Печать  
 
Перейти в:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!